from django.contrib.auth.models import AbstractUser
from django.contrib.postgres.fields import JSONField


class User(AbstractUser):

    # Данные для пользовательских факторов поиска/саджеста по людям на Стаффе
    frequently_searched_people = JSONField(blank=True, null=True)
    recently_searched_people = JSONField(blank=True, null=True)

    class Meta:
        db_table = 'auth_user'
